clang-tools 8.0.0

Namespaces | Typedefs | Functions
ParentVirtualCallCheck.cpp File Reference
`#include "ParentVirtualCallCheck.h"`
`#include "clang/AST/ASTContext.h"`
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/Tooling/FixIt.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include <algorithm>`
`#include <cctype>`
Include dependency graph for ParentVirtualCallCheck.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::bugprone

## Typedefs
using | clang::tidy::bugprone::BasesVector = llvm::SmallVector< const CXXRecordDecl *, 5 >

## Functions
static bool | clang::tidy::bugprone::isParentOf (const CXXRecordDecl &Parent, const CXXRecordDecl &ThisClass)
static BasesVector | clang::tidy::bugprone::getParentsByGrandParent (const CXXRecordDecl &GrandParent, const CXXRecordDecl &ThisClass, const CXXMethodDecl &MemberDecl)
static std::string | clang::tidy::bugprone::getNameAsString (const NamedDecl *Decl)
static std::string | clang::tidy::bugprone::getExprAsString (const clang::Expr &E, clang::ASTContext &AC)